Delete Knowledge Base
curl --request DELETE \
--url https://api.kollie.ai/api/v1/knowledge-base/{kb_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.kollie.ai/api/v1/knowledge-base/{kb_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.kollie.ai/api/v1/knowledge-base/{kb_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Knowledge Bases
Delete Knowledge Base
Delete a knowledge base and all its items.
DELETE
/
api
/
v1
/
knowledge-base
/
{kb_id}
Delete Knowledge Base
Delete Knowledge Base
This endpoint deletes a knowledge base and all its associated items.Request
Headers
| Name | Type | Required | Description |
|---|---|---|---|
| Authorization | string | Yes | Bearer token for authentication |
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| kb_id | string | Yes | The ID of the knowledge base to delete |
Response
200 OK
{
"data": {
"id": "string",
"name": "string",
"description": "string",
"created_at": "string",
"updated_at": "string",
"organization_id": "string"
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
| id | string | Unique identifier for the deleted knowledge base |
| name | string | Name of the deleted knowledge base |
| description | string | Description of the deleted knowledge base |
| created_at | string | Timestamp when the knowledge base was created |
| updated_at | string | Timestamp when the knowledge base was last updated |
| organization_id | string | ID of the organization that owned the knowledge base |
Example
curl -X DELETE 'https://api.kollie.ai/api/v1/knowledge-base/123e4567-e89b-12d3-a456-426614174000' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
⌘I

